// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：发票详细信息查询
//author：feizhao
//date：2017-11-16
//discription：用于测试登陆后，综合业务-发票管理页面发票详细信息查询
//step：1.登录主页面  2.定位发票管理  3.查询发票详细信息
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-发票管理-发票详细信息查询
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-发票管理')
     //以票号查询
     .pause(1000)
     .click('#vc-datagrid-name-0')
     .pause(1000)
     .setValue('input[placeholder=起始票号]','011010')
     .pause(500)
     .setValue('input[placeholder=终止票号]','011110')
     .pause(500)
     .click('#comprehen-bill-modDet-查询')
     .pause(1000)
     .clearValue('input[placeholder=起始票号]')
     .pause(500)
     .clearValue('input[placeholder=终止票号]')
     //通过使用人查询
     .pause(500)
     .click('#comprehen-bill-modDet-使用人')
     .pause(300)
     .click('#comprehen-bill-modDet-使用人 ul li[id=王小慧]')
     .pause(300)
     .click('#comprehen-bill-modDet-查询')
     .pause(3000)
     .click('#comprehen-bill-modDet-使用人')
     .pause(300)
     .click('#comprehen-bill-modDet-使用人 ul li[id=王跃群]')
     .pause(300)
     .click('#comprehen-bill-modDet-查询')
     .pause(3000)
     .click('#comprehen-bill-modDet-使用人')
     .pause(300)
     .click('#comprehen-bill-modDet-使用人 ul li[id=姚岚]')
     .pause(300)
     .click('#comprehen-bill-modDet-查询')
     .pause(3000)
     .click('#comprehen-bill-modDet-使用人')
     .pause(300)
     .click('#comprehen-bill-modDet-使用人 ul :first-child')
     .pause(500)
     //通过开始-结束日期查询
     .setValue('input[placeholder=开始日期]','20171001')
     .pause(500)
     .setValue('input[placeholder=结束日期]','20171231')
     .pause(500)
     .click('#comprehen-bill-modDet-查询')
     .pause(3000)
     .clearValue('input[placeholder=开始日期]')
     .pause(300)
     .clearValue('input[placeholder=结束日期]')
     .pause(300)
     //通过业务类型查询
     .click('#f_bill_type')
     .pause(300)
     .click('#comprehen-bill-modDet-查询')
     .pause(1000)
     //通过发票类型查询
     .click('#f_bill_style')
     .pause(300)
     .click('#comprehen-bill-modDet-查询')
     .pause(3000)
     .end();
   }
 }
